import { IParticipant } from '@mcph/miix-std/dist/internal';
import { ICodeState } from '../../redux/code';
import { ICall, Source } from './source';
/**
 * Participant is a Source for the participant themselves.
 */
export declare class ParticipantSource extends Source<IParticipant> {
    /**
     * @override
     */
    compare(_previous: IParticipant, next: IParticipant): ICall[];
    /**
     * @override
     */
    protected sourceProp(): keyof ICodeState;
    /**
     * @override
     */
    protected createPacket(source: IParticipant): ICall[];
}
